activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jamiebarrow <jamiebar...@gmail.com>
Subject Re: ActiveMQ on JDK1.4.2 and JBoss 4.0.3SP1
Date Thu, 21 May 2009 07:39:04 GMT

I've tried with JBoss 4.0.3SP1 and JDK1.6 update 13, not yet tried with
JDK1.4.2, and have been able to integrate it successfully, and run the
producer/consumer examples that come with MQ 4.1.2 and MQ 5.2.0
---
Two issues I found while researching:

1. A deadlock occurs if using

<config-property-value>vm://localhost</config-property-value>

instead of

<config-property-value>tcp://localhost:61616</config-property-value>

This is fixed in MQ 5.0

[http://issues.apache.org/activemq/browse/AMQ-1092]

2. When using 

<config-property-value>xbean:broker-config.xml</config-property-value>

with some MQ4.x versions, there is a dependency on Spring but the Spring 2.x
is included and must be replaced by Spring 1.2.x.

This should be fixed in MQ 5.1.0, however testing with MQ 5.2.0, I still had
to add the Spring JAR to my MQ RAR. I tried Spring 2.0.7 and it seems to
work, however haven't researched if it's the correct Spring version to use
yet.

[http://issues.apache.org/activemq/browse/AMQ-1442]
-- 
View this message in context: http://www.nabble.com/ActiveMQ-on-JDK1.4.2-and-JBoss-4.0.3SP1-tp23633140p23649096.html
Sent from the ActiveMQ - User mailing list archive at Nabble.com.


Mime
View raw message